---
title: "Get the list of admins"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-admins"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org-id-admins"
method: "GET"
path: "/v2/organizations/{org_id}/admins"
operation_id: "get-v2-organizations-org-id-admins"
authorization: "bearer"
---

# Get the list of admins

`GET /v2/organizations/{org_id}/admins`

This endpoint allows API users to retrieve the list of moderators and admins of an organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `filters:email` | string | No | Filter by email. Format: `?filters=[{"email":{"type": "=", "value": user_email}}] (email should be encoded as url)` |
| `filter:type` | string | No | Filter by organization type. Possible values: active, pending, declined. Format: `?filters=[{"status":{"type": "=", "value":"active/pending/declined"}}]` |
| `filter:type` | string | No | Possible values: admin/moderator. Format: `?filters=[{"type":{"type": "in", "value":["admin\|moderator"]}}]` |

## Responses

### 200

Successful response. Returns the list of organization admins and moderators.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "id": "378448530c0b27c38a62d3a6bbff10b6349feb9a",
      "type": "admin",
      "email": "user@email.com",
      "status": "active"
    },
    {
      "id": "7d35842c3f5e642f4eb575b63160d76197a7b7c3",
      "type": "moderator",
      "email": "org_owner@email.com",
      "status": "pending"
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": [],
      "total": 2,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* Wrong, expired, or missing token.
* The filter name isn't supported.
* The `email` filter value isn't a string.
* The `email` filter `type` isn't `=`.
* The filter doesn't have `type` and `value`.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Unsupported filter`)

```json
{
  "errors": [
    {
      "code": 12006006,
      "message": "Unsupported filter mail was given."
    }
  ]
}
```

**Example** (`Wrong filter format`)

```json
{
  "errors": [
    {
      "code": 12004019,
      "message": "Invalid filter format, filter must have `type` and `value` fields"
    }
  ]
}
```

**Example** (`Wrong email filter type`)

```json
{
  "errors": [
    {
      "code": 12004017,
      "message": "The `email` filter expression should be equal to `=`"
    }
  ]
}
```

**Example** (`email filter not a string`)

```json
{
  "errors": [
    {
      "code": 12004018,
      "message": "The `email` filter value should be of type string"
    }
  ]
}
```

### 403

* The user isn't an admin or moderator of the organization.
* The user doesn't have an active trial, Professional, or Enterprise subscription.

**Example** (`No subscription`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Not an admin or moderator`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

The organization doesn't exist or isn't active.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/admins" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-admins*
